Package com.sap.ai.sdk.grounding.model

# Class DocumentBulkDeleteResponse

java.lang.Object
com.sap.ai.sdk.grounding.model.DocumentBulkDeleteResponse

public class DocumentBulkDeleteResponse extends Object
Response after deleting documents in bulk.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `DocumentBulkDeleteResponse.Builder`
  Builder helper class.
  `static interface`
  `DocumentBulkDeleteResponse.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DocumentBulkDeleteResponse()`
  Default constructor for DocumentBulkDeleteResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentBulkDeleteResponse`
  `addDeletedItem(UUID deletedItem)`
  Add one deleted instance to this `DocumentBulkDeleteResponse`.
  `DocumentBulkDeleteResponse`
  `addNotFoundItem(UUID notFoundItem)`
  Add one notFound instance to this `DocumentBulkDeleteResponse`.
  `static DocumentBulkDeleteResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `DocumentBulkDeleteResponse` instance with all required arguments.
  `DocumentBulkDeleteResponse`
  `deleted(List<UUID> deleted)`
  Set the deleted of this `DocumentBulkDeleteResponse` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `DocumentBulkDeleteResponse`.
  `List<UUID>`
  `getDeleted()`
  List of successfully deleted document IDs
  `List<UUID>`
  `getNotFound()`
  List of document IDs that were not found
  `int`
  `hashCode()`
  `DocumentBulkDeleteResponse`
  `notFound(List<UUID> notFound)`
  Set the notFound of this `DocumentBulkDeleteResponse` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `DocumentBulkDeleteResponse` instance.
  `void`
  `setDeleted(List<UUID> deleted)`
  Set the deleted of this `DocumentBulkDeleteResponse` instance.
  `void`
  `setNotFound(List<UUID> notFound)`
  Set the notFound of this `DocumentBulkDeleteResponse` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `DocumentBulkDeleteResponse` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentBulkDeleteResponse

    protected DocumentBulkDeleteResponse()
    Default constructor for DocumentBulkDeleteResponse.

- ## Method Details

  - ### deleted

    @Nonnull public DocumentBulkDeleteResponse deleted(@Nonnull List<UUID> deleted)
    Set the deleted of this `DocumentBulkDeleteResponse` instance and return the same instance.
    Parameters:
      `deleted` - List of successfully deleted document IDs
    Returns:
      The same instance of this `DocumentBulkDeleteResponse` class

  - ### addDeletedItem

    @Nonnull public DocumentBulkDeleteResponse addDeletedItem(@Nonnull UUID deletedItem)
    Add one deleted instance to this `DocumentBulkDeleteResponse`.
    Parameters:
      `deletedItem` - The deleted that should be added
    Returns:
      The same instance of type `DocumentBulkDeleteResponse`

  - ### getDeleted

    @Nonnull public List<UUID> getDeleted()
    List of successfully deleted document IDs
    Returns:
      deleted The deleted of this `DocumentBulkDeleteResponse` instance.

  - ### setDeleted

    public void setDeleted(@Nonnull List<UUID> deleted)
    Set the deleted of this `DocumentBulkDeleteResponse` instance.
    Parameters:
      `deleted` - List of successfully deleted document IDs

  - ### notFound

    @Nonnull public DocumentBulkDeleteResponse notFound(@Nonnull List<UUID> notFound)
    Set the notFound of this `DocumentBulkDeleteResponse` instance and return the same instance.
    Parameters:
      `notFound` - List of document IDs that were not found
    Returns:
      The same instance of this `DocumentBulkDeleteResponse` class

  - ### addNotFoundItem

    @Nonnull public DocumentBulkDeleteResponse addNotFoundItem(@Nonnull UUID notFoundItem)
    Add one notFound instance to this `DocumentBulkDeleteResponse`.
    Parameters:
      `notFoundItem` - The notFound that should be added
    Returns:
      The same instance of type `DocumentBulkDeleteResponse`

  - ### getNotFound

    @Nonnull public List<UUID> getNotFound()
    List of document IDs that were not found
    Returns:
      notFound The notFound of this `DocumentBulkDeleteResponse` instance.

  - ### setNotFound

    public void setNotFound(@Nonnull List<UUID> notFound)
    Set the notFound of this `DocumentBulkDeleteResponse` instance.
    Parameters:
      `notFound` - List of document IDs that were not found

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `DocumentBulkDeleteResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `DocumentBulkDeleteResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `DocumentBulkDeleteResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `DocumentBulkDeleteResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static DocumentBulkDeleteResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `DocumentBulkDeleteResponse` instance with all required arguments.